--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: bits
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: channels
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: format
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: height
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: info
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: width
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: formats
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: This is based on ImageSize, by Keisuke Minami &lt;keisuke@rccn.com&gt;. It can be found at http://www.rubycgi.org/tools/index.en.htm
- !ruby/struct:SM::Flow::P 
  body: This has been integrated into PDF::Writer because as yet there has been no response to emails asking for my extensions to be integrated and a RubyGem package to be made available.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: Type
  value: Formats
- !ruby/object:RI::Constant 
  comment: 
  name: JPEG_SOF_BLOCKS
  value: "%W(\\xc0 \\xc1 \\xc2 \\xc3 \\xc5 \\xc6 \\xc7 \\xc9 \\xca \\xcb \\xcd \\xce \\xcf)"
- !ruby/object:RI::Constant 
  comment: 
  name: JPEG_APP_BLOCKS
  value: "%W(\\xe0 \\xe1 \\xe2 \\xe3 \\xe4 \\xe5 \\xe6 \\xe7 \\xe8 \\xe9 \\xea \\xeb \\xec \\xed \\xee \\xef)"
- !ruby/object:RI::Constant 
  comment: 
  name: XBM_DIMENSIONS_RE
  value: "%r{^\\#define\\s*\\S*\\s*(\\d+)\\s*\\n\\#define\\s*\\S*\\s*(\\d+)}mi"
- !ruby/object:RI::Constant 
  comment: 
  name: XPM_DIMENSIONS_RE
  value: "%r<\"\\s*(\\d+)\\s+(\\d+)(\\s+\\d+\\s+\\d+){1,2}\\s*\">m"
full_name: PDF::Writer::Graphics::ImageInfo
includes: []

instance_methods: []

name: ImageInfo
superclass: Object
